Name:           sisu
Summary:        Eclipse dependency injection framework
Epoch:          1
Version:        0.3.4
Release:        %mkrel 1
Group:          Development/Java
# sisu is EPL-1.0, the bundled asm is BSD
License:        EPL-1.0 and BSD

URL:            http://eclipse.org/sisu
Source0:        http://git.eclipse.org/c/sisu/org.eclipse.sisu.inject.git/snapshot/releases/%{version}.tar.gz#/org.eclipse.sisu.inject-%{version}.tar.gz
Source1:        http://git.eclipse.org/c/sisu/org.eclipse.sisu.plexus.git/snapshot/releases/%{version}.tar.gz#/org.eclipse.sisu.plexus-%{version}.tar.gz

Source100:      sisu-parent.pom
Source101:      sisu-inject.pom
Source102:      sisu-plexus.pom

Patch0:         sisu-OSGi-import-guava.patch
Patch2:         sisu-ignored-tests.patch
Patch3:         sisu-osgi-api.patch
Patch4:         0001-Remove-dependency-on-glassfish-servlet-api.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.inject.extensions:guice-servlet)
BuildRequires:  mvn(com.google.inject:guice::no_aop:)
BuildRequires:  mvn(javax.annotation:javax.annotation-api)
BuildRequires:  mvn(javax.enterprise:cdi-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.osgi:osgi.core)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.testng:testng)

Provides:       bundled(objectweb-asm)


%description
Java dependency injection framework with backward support for plexus and bean
style dependency injection.

%package        inject
Summary:        Sisu inject
Obsoletes:      %{name}-tests < 1:0.3.2-6

%description    inject
This package contains %{summary}.

%package        plexus
Summary:        Sisu Plexus

%description    plexus
This package contains %{summary}.

%package        javadoc
Summary:        API documentation for Sisu

%description    javadoc
This package contains %{summary}.

%prep
%setup -q -c -T
tar xf %{SOURCE0} && mv releases/* sisu-inject && rmdir releases
tar xf %{SOURCE1} && mv releases/* sisu-plexus && rmdir releases

cp %{SOURCE100} pom.xml
cp %{SOURCE101} sisu-inject/pom.xml
cp %{SOURCE102} sisu-plexus/pom.xml

%patch0
%patch2
%patch3
%patch4 -p1

%pom_remove_dep :servlet-api sisu-inject

%pom_xpath_set -r /pom:project/pom:version %{version}

%mvn_file ":{*}" @1
%mvn_package ":*{inject,plexus}" @1
%mvn_package : __noinstall
%mvn_alias :org.eclipse.sisu.plexus org.sonatype.sisu:sisu-inject-plexus

%build
%mvn_build

%install
%mvn_install

%files inject -f .mfiles-inject
%doc sisu-inject/LICENSE.txt

%files plexus -f .mfiles-plexus

%files javadoc -f .mfiles-javadoc
%doc sisu-inject/LICENSE.txt




%changelog
* Thu Sep 03 2020 daviddavid <daviddavid> 1:0.3.4-1.mga8
+ Revision: 1621360
- Update to version 0.3.4
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 1:0.3.3-2.mga8
+ Revision: 1519400
- Mageia 8 Mass Rebuild

* Thu Oct 11 2018 daviddavid <daviddavid> 1:0.3.3-1.mga7
+ Revision: 1319608
- Update to upstream version 0.3.3 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 1:0.3.2-5.mga7
+ Revision: 1275433
- Mageia 7 Mass Rebuild

* Tue May 09 2017 neoclust <neoclust> 1:0.3.2-4.mga6
+ Revision: 1099926
- Add alias for org.sonatype.sisu:sisu-inject-plexus
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1:0.3.2-2.mga6
+ Revision: 978152
- First rebuild of the java stack
- sync package sisu with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 pterjan <pterjan> 1:0.2.1-6.mga5
+ Revision: 807264
- Sync with Fedora 21
+ daviddavid <daviddavid>
- rebuild for new sonatype-oss-parent
+ luigiwalser <luigiwalser>
- add patch to build without axis
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ dmorgan <dmorgan>
- New version
- New version
- Restore from Obsolete
+ sander85 <sander85>
- Unmaintained and broken

* Mon Apr 07 2014 dmorgan <dmorgan> 1:0.1.0-1.mga5
+ Revision: 612557
- New version

* Sun Dec 29 2013 dmorgan <dmorgan> 1:0.0.0-0.4.M4.5.mga4
+ Revision: 563138
- Fix %%clean issue

* Sat Oct 19 2013 umeabot <umeabot> 1:0.0.0-0.4.M4.4.mga4
+ Revision: 535858
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 1:0.0.0-0.4.M4.3.mga4
+ Revision: 482594
- Rebuild against new javapackages
- Fix build
- Update to upstream version 0.0.0.M4

* Wed Sep 18 2013 dmorgan <dmorgan> 2.3.0-3.mga4
+ Revision: 481234
- Fix dependencies on javax.inject and javax.enterprise.inject
  Remove unneeded animal-sniffer buildrequires
- Try to fix require exclude

* Fri Jul 12 2013 dmorgan <dmorgan> 2.3.0-1.mga4
+ Revision: 453340
- New version

* Mon Jan 14 2013 umeabot <umeabot> 2.2.3-2.mga3
+ Revision: 382093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 2.2.3-1.mga3
+ Revision: 268977
- New version 2.2.3

* Thu Apr 28 2011 dmorgan <dmorgan> 2.1.1-4.mga1
+ Revision: 93141
- Rebuild after bootstrapping

* Wed Apr 27 2011 dmorgan <dmorgan> 2.1.1-3.mga1
+ Revision: 92106
- Rebuild after bootstrapping
- imported package sisu


* Tue Mar  1 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1.1-2
- Add atinject into poms as dependency

* Mon Feb 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1.1-1
- Update to 2.1.1
- Update patch
- Disable guice-eclipse for now

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.3.2-1
- Update to latest upstream version
- Versionless jars & javadocs

* Mon Oct 18 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.2-2
- Add felix-framework BR

* Thu Oct 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.2-1
- Initial version of the package


